
Page({
  data: {
    id: null,
    loadidngHidden: false,
    bookData: null
  },
  onLoad(option) {
    this.setData({
      id: option.id
    });
  },
  onReady() {
    wx.showLoading({
      title: '加载中',
    });

    // 打印从列表页中的详情页路由中取出书的id
    console.log(this.data.id)
    const db = wx.cloud.database()
    // 查询当前用户所有的 counters
    // where中利用正则db.RegExp实现了模糊查询
    db.collection('books').where({
      _id: this.data.id,
    }).get({
      success: res => {
        this.setData({
          loadidngHidden: true,
          bookData: res.data[0]
        });
        console.log('[数据库] [查询记录] 成功: ', res.data[0])
      },
      fail: err => {
        wx.showToast({
          icon: 'none',
          title: '查询记录失败'
        })
        console.error('[数据库] [查询记录] 失败：', err)
      }
    })
    wx.hideLoading();
  }
});
